#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    string c,n="nemoguce";
    cin>>c;
    char c1,c2;
    c1=c[0];
    c2=c[1];
    int a1,a2;
    cin>>a1>>a2;
    int ossz=0,kul=0;
    kul=a1-a2;
    ossz=a1+a2;
    int i;
    if(abs(kul)<2 && c1!=c2)
        {
            if(a1>=a2)
                {
                    for(i=0;i<ossz;i++)
                        {
                            if(i%2==1)
                                {
                                    cout<<c1;
                                }
                            else
                                {
                                    cout<<c2;
                                }
                        }
                }
            else if(a1<a2)
                {
                    for(i=0;i<ossz;i++)
                        {
                            if(i%2==1)
                                {
                                    cout<<c2;
                                }
                            else
                                {
                                    cout<<c1;
                                }
                        }
                }

        }
    else
        cout<<n;


    return 0;
}